import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'map_amap_ios_platform_interface.dart';

/// An implementation of [MapAmapIosPlatform] that uses method channels.
class MethodChannelMapAmapIos extends MapAmapIosPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('map_amap_ios');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
